Tcr Campaigns
List TCR Campaigns
Gets the list of all TCR Campaigns, optionally filtered by parameters. This method supports pagination.
AuthorizationBasic <token>
Basic Authorization header using the BASIC scheme. Use a pair companySid:token to access the API.
In: header
Query Parameters
TcrBrandSid?string
TCR Brand ID.
Match
^B[0-9A-Z]{6,127}$PageSize?integer
Format
int32Range
1 <= value <= 10000OrderByDirection?string
Possible values:
-
Ascending
-
Descending
Value in
- "Ascending"
- "Descending"
SearchId?string
Response Body
curl -X GET "https://example.com/v1/TcrCampaigns"{ "items": [ { "tcrCampaignId": "C123ABC", "tcrBrandId": "B123ABC", "tcrBrandName": "string", "creationDate": "2020-02-29", "name": "string", "attMessageClass": "A", "tMobileBrandTier": "Unknown", "verizonWirelessMessageClass": "string", "usCellularMessageClass": "string", "messagingConfigSid": "MCf4f1e0ccde19431ebde74a9f2996afa0", "messagingConfigName": "string", "subscriberOptin": false, "subscriberOptout": false, "subscriberHelp": false, "optInKeywords": [ "START", "CONTINUE" ], "optOutKeywords": [ "STOP", "QUIT" ], "helpKeywords": [ "HELP", "INFO" ], "optInMessage": "You are subscribed to messages from this sender. Msg frequency varies. Reply HELP for help or STOP to unsubscribe. Msg & data rates may apply.", "optOutMessage": "You are unsubscribed. You will no longer receive messages from this sender. Reply START to resubscribe. Msg & data rates may apply.", "helpMessage": "Reply STOP to unsubscribe. Msg & data rates may apply.", "description": "string", "messageFlow": "string", "embeddedLink": false, "embeddedPhone": false, "directLending": false, "ageGated": false } ], "searchId": "string"}{ "errors": { "Name": [ "The Name field is required." ] }, "type": "https://tools.ietf.org/html/rfc7231#section-6.5.1", "title": "One or more validation errors occurred.", "status": 400, "detail": "Some detailed message", "traceId": "|4ef17786-b103-420e-89c0-cc425ac14809.edfcbee9_"}